.ToyboxIcon {
    text-align: center;
}

.ToyboxIcon:first-child {
    margin-top: 20px
}

.ToyboxIcon img {
    max-width: 75px;
    border-radius: 18px;
    border: 1.5px solid white;
    margin: 10px 0
}

.ToyboxIcon .ToyboxIconName {
    text-decoration: none;
    text-transform: uppercase;
    padding-bottom: 2px;
    color: yellow;
    border-bottom: 10px solid rgba(0, 255, 255, 0);
    border: none;
    font-size: 1.2em;
    letter-spacing: 2px;
    font-weight: bold;
    text-shadow: none;
    display: inline-block;

    background: linear-gradient(336deg, red, yellow);
    background-size: 0 3px;
    background-repeat: no-repeat;
    background-position: left 100%;

    transition: background-size 300ms cubic-bezier(0.215, 0.61, 0.355, 1),
        color 300ms cubic-bezier(0.215, 0.61, 0.355, 1);
}

.ToyboxIcon .ToyboxIconName:hover,
.ToyboxIcon .ToyboxIconName:focus,
.ToyboxIcon .ToyboxIconName:active {
    color: white;
    text-decoration: none;
    background-size: calc(100% - 2px) 3px;
}

.ToyboxHowToBtn {
    font-size: 1.1em;
    display: block;
    margin: 0 auto;
    border: 2px solid white;
    color: white;
    border-radius: 0;
    background: transparent;
    
    transition: color 100ms ease-in-out,
        background 100ms ease-in-out
}

.ToyboxHowToBtn:hover,
.ToyboxHowToBtn:active,
.ToyboxHowToBtn:focus,
.ToyboxHowToBtn.active {
    color: black;
    background: white;
}

.ToyboxHowToDescription {
    text-align: center;
    margin-bottom: 40px;
    margin-top: 15px;
    
    opacity: 0;
    max-height: 0px;
    overflow: hidden;
    transition: opacity 500ms ease-in-out,
        max-height 500ms ease-in-out;
}

.ToyboxHowToDescription.opened {
    opacity: 1;
    max-height: 10000px;
}

.ToyboxHowToDescription img {
    max-width: 40%;
}